%global momorel 1
%global qtver 4.4.0
%global kdever 4.1.0
%global kdebaseworkspacerel 1m
%global kdebaserel 1m
%global kdedir /usr

Summary: An OpenGL screensaver with exploding comets for KDE
Name: kcometen4
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.mehercule.net/staticpages/index.php/kcometen4
Group: Amusements/Graphics
Source0: http://www.kde-apps.org/CONTENT/content-files/87586-%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: xscreensaver-base
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdebase-workspace-devel >= %{kdever}-%{kdebaseworkspacerel}
BuildPreReq: cmake
BuildPreReq: libGLU-devel
Provides: kcometen3
Obsoletes: kcometen3

%description
KCometen4 is an OpenGL screensaver with exploding comets for KDE.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_kde4_bindir}/kcometen4.kss
%{_kde4_appsdir}/kcometen4
%{_kde4_datadir}/kde4/services/ScreenSavers/kcometen4.desktop
%{_mandir}/man1/kcometen4.kss.1*

%changelog
* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-1m)
- switch to kcometen4

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-3m)
- specify KDE3 headers and libs
- modify Requires and buildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1-2m)
- %%NoSource -> NoSource

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- initial package for Momonga Linux
